Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Activity
  • May 17 23:39
    deskstar90 commented #763
  • May 16 16:56
    sudocurse commented #744
  • May 16 12:56
    d-dawg78 closed #744
  • May 16 12:56
    d-dawg78 commented #744
  • May 16 09:56
    daslicht commented #607
  • May 16 09:48
    daslicht commented #717
  • May 13 10:50
    MohammedMehdiTBER commented #763
  • May 13 08:44
    romi1502 commented #763
  • May 13 08:39
    romi1502 commented #762
  • May 13 02:15
    MichaelJayW edited #766
  • May 13 02:13
    MichaelJayW labeled #766
  • May 13 02:13
    MichaelJayW labeled #766
  • May 13 02:13
    MichaelJayW opened #766
  • May 10 09:21
    helloxuejuxi closed #765
  • May 10 09:21
    helloxuejuxi commented #765
  • May 10 08:45
    helloxuejuxi labeled #765
  • May 10 08:45
    helloxuejuxi opened #765
  • May 10 08:37
    helloxuejuxi commented #560
  • May 10 05:45
    helloxuejuxi closed #758
  • May 10 05:45
    helloxuejuxi commented #758
Jared Evans
@JaredCE
this is with spleeter 1.5.4
Félix Voituret
@Faylixe
@JaredCE this is happening because you do not have enough RAM. Spleeter model with tensor flow are RAM intensive, you can either : getting more RAM or a more powerful machine. Or you should try with small files (cut your track in smaller piece and run separation on each piece directly)
Jared Evans
@JaredCE
ok that's useful to know
would you suggest a minimum amount of RAM?
Félix Voituret
@Faylixe
at the very least 8Go, (16Go would be better)
Not sure if 4Go could be ok for very small files.
But you can give it a try :)
Jared Evans
@JaredCE
Thanks @Faylixe
Pi
@p-i-
Oh you guys are my heroes! What a fantastic application of ML!
Has anyone actually deployed this technology, e.g. Making a website to perform splitting, or doing it off a mobile app? Do the creators have any plans in this direction?
Also, does there exist any academic paper/blog article that explains the process / network arch / etc.?
Pi
@p-i-
I'm running into a lot of issues trying to follow the 'hello world'.
I run spleeter separate -i audio_example.mp3 -p spleeter:2stems -o output
First I get AttributeError: module 'tensorflow' has no attribute 'compat' which I Google. conda install tensorflow-estimator=1.15.1 fixes.
Now ModuleNotFoundError: No module named 'numba.decorators'. pip install numba==0.43.0 fixes, despite raising three errors.
Now TypeError: create_target_machine() got an unexpected keyword argument 'jitdebug'.
Also from https://github.com/deezer/spleeter#development-and-testing I see pip install -r requirements.txt && pip install pytest pytest-xdist, but there is no requirements.txt file.
Pi
@p-i-
Might it be cleaner to revise the instructions to start with a fresh virtual environment, and use a requirements.txt to fix appropriate versions for certain required components?
Geraldo Ramos
@geraldoramos

Oh you guys are my heroes! What a fantastic application of ML!
Has anyone actually deployed this technology, e.g. Making a website to perform splitting, or doing it off a mobile app? Do the creators have any plans in this direction?

Hi, we are using spleeter in production at moises.ai

Pi
@p-i-
@geraldoramos w00t, Nicely done!
Moussallam
@mmoussallam
Hi there folks, we've just released a new version of Spleeter that is compatible with TF2. Enjoy :)
it's actually only available on pypi for now but conda and dockers will follow shortly
eddiegueiros
@eddiegueiros
@mmoussallam congratulations, you're such a rockstar! Question: Is the new version using the same pre-trained model? What changes should we expect? Mostly better performance? Keep rocking!
Moussallam
@mmoussallam
Hey @eddiegueiros . Sorry I missed your question: yes it's the same models. The main difference is that it's much easier to incorporate spleeter in modern TF pipeline and that it should work seamlessly on any recent python distrib.
VVasanth
@VVasanth
Hi @mmoussallam - when I do pip install of spleeter and execute 'spleeter separate' command - it points to the model release (https://github.com/deezer/spleeter/releases), which is more than a year older. Could you pls let me know how to get the latest version of the model?
1 reply
Also, by compatible with TF2.0 - are you saving the model as 'savedmodel' in TF and using it? Or still the model is available in 'checkpoint' format? Pls confirm...
1 reply
mahdi-hk
@mahdi-hk
hi
i cant install this package
first this command make test
i have this error
ModuleNotFoundError: No module named 'musdb'
mahdi-hk
@mahdi-hk
thanks :)
very good worket
d
William
@dubpirate
Hey! I was wondering if the architecture was also open source. I wanted to try and train it on a folk dataset if that was possible.
1 reply
Well, I guess what I'm asking is if there are any resources on training the model.
VVasanth
@VVasanth
Hi @mmoussallam and others - I have worked towards an humble attempt of migrating Spleeter into TF2.0 and have made a good progress in it...This is a repo (https://github.com/VVasanth/SpleeterTF2.0_Unofficial/tree/main) that contains the current version of the code...it is a faithful recreation of Spleeter source code in TF2.0 leveraging GradientTape's feature...I would require your help and guidance in reviewing the code...and if you are planning to migrate Spleeter to TF2.0 and if I could contribute to that effort - I would be more than glad if you could point me to right contact...
6 replies
Right now, solution has been trained in only limited set of data - so the source separation is not happenning properly...but the solution is functioning end to end on train and test operation...if anybody likes to join me in this initiate and would like to collaborate - pls come forward...
Request your support and guidance in making this initiative success and in migrating this solution to TF2.0, so that we can leverage the latest features of Tensorflow...
Thanks and appreciate your guidance...
VVasanth
@VVasanth
My primary objective of this initiative is to build TFLite models on Spleeter...current approaches are quite tough (atleast for me)...Thanks...
agur
@agur

My primary objective of this initiative is to build TFLite models on Spleeter...current approaches are quite tough (atleast for me)...Thanks...

Thanks for the efforts @VVasanth - sorry if I missed anything as I just got here - but isn't TF2.x already supported on the original project now? (https://github.com/deezer/spleeter)

If so, do we just need to re-train it with significant enough set of songs? (Is your effort addressing the same feature requested in: deezer/spleeter#354 Maybe your repo or some of it's additions can merge back on a PR if/as needed)

Abhijith
@abhijith-gururaj
Hi all. Great work on this!
I am new to ML and came across this library for isolating audio waveforms.
I see that upto 5 stem seperation is officialy supported by the pre-trained models. I would like to modify this to add another layer of seperation to the existing ones (say saxophone). How do I go about this?
(Apologies if this question sounds stupid.)
1 reply
Moussallam
@mmoussallam
Hi there everyone, we've just released a new version 2.1 of spleeter with no major changes (mostly switching to typer for command line management and poetry for project builld). but there is a small trick. We have dropped the need for the -i syntax in the separate command. You can now just pass your filepath (or multiple ones) as arguments to the command. Cheers and happy new year
rodrigo serna
@rodrigo_elias___twitter
SALUDOS CORDIALES, estoy tratando de usar spleeter gui para separar mis canciones en pistas separadas ya que soy musico de calle y reuiero hacer mis propias pistas pero no he podido hacer ninguna separacio ya que me da el siguiente error y no se como solucionarlo...
estoy usando una laptop lenovo con procesador amd core 2 duo con win 10 de 64 bits... el mensaje de error que me da es el siguiente: Iniciando el procesamiento de todas las canciones
Procesando C:\Users\EL GUARAPIADOR\Desktop\RESPALDO MR\MIGUEL Y RODRIGO\AAF LOOSING MY RELIGION CON VOZ MR.mp3
Traceback (most recent call last):
File "C:\Users\EL GUARAPIADOR\AppData\Roaming\SpleeterGUI\python\Lib\site-packages\tensorflow_core\python\pywrap_tensorflow.py", line 58, in <module>
from tensorflow.python.pywrap_tensorflow_internal import
File "C:\Users\EL GUARAPIADOR\AppData\Roaming\SpleeterGUI\python\Lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 28, in <module>
_pywrap_tensorflow_internal = swig_import_helper()
File "C:\Users\EL GUARAPIADOR\AppData\Roaming\SpleeterGUI\python\Lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 24, in swig_import_helper
_mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description)
File "D:\obj\windows-release\37amd64_Release\msi_python\zip_amd64\imp.py", line 242, in load_module
File "D:\obj\windows-release\37amd64_Release\msi_python\zip_amd64\imp.py", line 342, in load_dynamic
ImportError: DLL load failed: Error en una rutina de inicialización de biblioteca de vínculos dinámicos (DLL).
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "D:\obj\windows-release\37amd64_Release\msi_python\zip_amd64\runpy.py", line 193, in _run_module_as_main
File "D:\obj\windows-release\37amd64_Release\msi_python\zip_amd64\runpy.py", line 85, in _run_code
File "C:\Users\EL GUARAPIADOR\AppData\Roaming\SpleeterGUI\python\Lib\site-packages\spleeter__main.py", line 58, in <module>
entrypoint()
File "C:\Users\EL GUARAPIADOR\AppData\Roaming\SpleeterGUI\python\Lib\site-packages\spleeter\
main.py", line 54, in entrypoint
main(sys.argv)
File "C:\Users\EL GUARAPIADOR\AppData\Roaming\SpleeterGUI\python\Lib\site-packages\spleeter\
main.py", line 36, in main
enable_logging()
File "C:\Users\EL GUARAPIADOR\AppData\Roaming\SpleeterGUI\python\Lib\site-packages\spleeter\utils\logging.py", line 60, in enable_logging
tf_logger = get_tensorflow_logger()
File "C:\Users\EL GUARAPIADOR\AppData\Roaming\SpleeterGUI\python\Lib\site-packages\spleeter\utils\logging.py", line 27, in get_tensorflow_logger
from tensorflow.compat.v1 import logging
File "C:\Users\EL GUARAPIADOR\AppData\Roaming\SpleeterGUI\python\Lib\site-packages\tensorflow\
init__.py", line 99, in <module>
from tensorflow_core import

File "C:\Users\EL GUARAPIADOR\AppData\Roaming\SpleeterGUI\python\Lib\site-packages\tensorflow_core__init.py", line 28, in <module>
from tensorflow.python import pywrap_tensorflow # pylint: disable=unused-import
File "C:\Users\EL GUARAPIADOR\AppData\Roaming\SpleeterGUI\python\Lib\site-packages\tensorflow\
init.py", line 50, in getattr
module = self._load()
File "C:\Users\EL GUARAPIADOR\AppData\Roaming\SpleeterGUI\python\Lib\site-packages\tensorflow\
init.py", line 44, in _load
module = _importlib.import_module(self.
name)
File "D:\obj\windows-release\37amd64_Release\msi_python\zip_amd64\
init.py", line 127, in import_module
File "C:\Users\EL GUARAPIADOR\AppData\Roaming\SpleeterGUI\python\Lib\site-packages\tensorflow_core\python\
init__.py", line 49, in <module>
from tensorflow.python import pywrap_tensorflow
File "C:\Users\EL GUARAPIADOR\AppData\Roaming\SpleeterGUI\python\Lib\site-packages\tensorflow_core\python\pywrap_tensorflow.py", line 74, in <module>
raise ImportError(msg)
ImportError: Traceback (most recent call last):
File "C:\Users\EL GUARAPIADOR\AppData\Roaming\SpleeterGUI\python\Lib\site-packages\tensorflow_core\python\pywrap_tensorflow.py", line 58, in <module>
from tensorflow.python.pywrap_tensorflow_internal import *
File "C:\Users\EL GUARAPIADOR\AppData\Roaming\Spleete
supercom32
@supercom32
Perhaps this has already been covered, but is the Docker image fo spleeter broken still?
frankgithubxyz
@frankgithubxyz

Using spleeter on win 7, i7 sandy bridge , i get the following error;
any suggestions?
Traceback (most recent call last):
File "c:\users\frank\appdata\local\programs\python\python36\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 64, in <module>
from tensorflow.python._pywrap_tensorflow_internal import *
ImportError: DLL load failed: The specified module could not be found.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "c:\users\frank\appdata\local\programs\python\python36\lib\runpy.py", line 193, in _run_module_as_main
"main", mod_spec)
File "c:\users\frank\appdata\local\programs\python\python36\lib\runpy.py", line 85, in _run_code
exec(code, run_globals)
File "C:\Users\frank\AppData\Local\Programs\Python\Python36\Scripts\spleeter.exe__main.py", line 9, in <module>
File "c:\users\frank\appdata\local\programs\python\python36\lib\site-packages\spleeter\
main.py", line 250, in entrypoint
spleeter()
File "c:\users\frank\appdata\local\programs\python\python36\lib\site-packages\typer\main.py", line 214, in
call
return get_command(self)(args, *kwargs)
File "c:\users\frank\appdata\local\programs\python\python36\lib\site-packages\click\core.py", line 829, in
call
return self.main(args, kwargs)
File "c:\users\frank\appdata\local\programs\python\python36\lib\site-packages\click\core.py", line 782, in main
rv = self.invoke(ctx)
File "c:\users\frank\appdata\local\programs\python\python36\lib\site-packages\click\core.py", line 1259, in invoke
return _process_result(sub_ctx.command.invoke(sub_ctx))
File "c:\users\frank\appdata\local\programs\python\python36\lib\site-packages\click\core.py", line 1066, in invoke
return ctx.invoke(self.callback,
ctx.params)
File "c:\users\frank\appdata\local\programs\python\python36\lib\site-packages\click\core.py", line 610, in invoke
return callback(
args, kwargs)
File "c:\users\frank\appdata\local\programs\python\python36\lib\site-packages\typer\main.py", line 497, in wrapper
return callback(
use_params) # type: ignore
File "c:\users\frank\appdata\local\programs\python\python36\lib\site-packages\spleeter\
main.py", line 107, in separate
from .audio.adapter import AudioAdapter
File "c:\users\frank\appdata\local\programs\python\python36\lib\site-packages\spleeter\audio\adapter.py", line 14, in <module>
import tensorflow as tf
File "c:\users\frank\appdata\local\programs\python\python36\lib\site-packages\tensorflow\
init.py", line 41, in <module>
from tensorflow.python.tools import module_util as _module_util
File "c:\users\frank\appdata\local\programs\python\python36\lib\site-packages\tensorflow\python\
init__.py", line 40, in <module>
from tensorflow.python.eager import context
File "c:\users\frank\appdata\local\programs\python\python36\lib\site-packages\tensorflow\python\eager\context.py", line 35, in <module>
from tensorflow.python import pywrap_tfe
File "c:\users\frank\appdata\local\programs\python\python36\lib\site-packages\tensorflow\python\pywrap_tfe.py", line 28, in <module>
from tensorflow.python import pywrap_tensorflow
File "c:\users\frank\appdata\local\programs\python\python36\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 83, in <module>
raise ImportError(msg)
ImportError: Traceback (most recent call last):
File "c:\users\frank\appdata\local\programs\python\python36\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 64, in <module>
from tensorflow.python._pywrap_tensorflow_internal import *
ImportError: DLL load failed: The specified module could not be found.

Failed to load the native TensorFlow runtime.

glass_of_water
@glass_of_water:matrix.org
[m]
Hey
I'm trying to make the training dataset
Does anyone have a sample training dataset?
Samyak Maharjan
@samya-ak

Hi,
I installed spleeter with pip, commands from command line works fine.
But I'm having problems while using the api via python script.

inputPath = 'E:\\songs\\split_test.wav'
outputPath = 'E:\\output'
separator = Separator('spleeter:2stems')
separator.separate_to_file(inputPath, outputPath)
separator.join(50)

Above code keeps giving following error and loops like forever. Am I doing something wrong?
Thanks

File "C:\Users\Samyak\AppData\Local\Programs\Python\Python38\lib\multiprocessing\spawn.py", line 134, in _check_not_importing_main
raise RuntimeError('''
RuntimeError:
An attempt has been made to start a new process before the
current process has finished its bootstrapping phase.

    This probably means that you are not using fork to start your
    child processes and you have forgotten to use the proper idiom
    in the main module:

        if __name__ == '__main__':
            freeze_support()
            ...

    The "freeze_support()" line can be omitted if the program
    is not going to be frozen to produce an executable.
Samyak Maharjan
@samya-ak
https://github.com/deezer/spleeter/issues/617#issue-872771746
Reinstalled spleeter from scratch and ran same code again, now its
giving me broken pipe error. No idea how to fix this. Any suggestions would be
nice. Thanks.
INFO:tensorflow:Restoring parameters from pretrained_models\2stems\model
DEBUG:spleeter:Writing file output/
Traceback (most recent call last):
  File "C:\Users\Samyak\Desktop\condaSplit\venv\lib\site-packages\spleeter\audio\ffmpeg.py", line 180, in save
    process.stdin.write(data.astype("<f4").tobytes())
BrokenPipeError: [Errno 32] Broken pipe
Martial Geoffre-Rouland
@martial
Hi all,
I'm having issue having spleeter working using either CPU or GPU in Google Colab. I tried many ways (pip, conda) but the only way I have it to work is to use a CPU environnement in colab ( using GPU makes it crashing ). Do anyone have seen this issue before ?